# Uses of Class
java.security.AccessControlException

Packages that use AccessControlException
Package
Description
java.security
Provides the classes and interfaces for the security framework.

## Uses of AccessControlException in java.security

Methods in java.security that throw AccessControlException
Modifier and Type
Method
Description
`void`
AccessControlContext.`checkPermission(Permission perm)`
Deprecated, for removal: This API element is subject to removal in a future version.
Throws `AccessControlException`.
`static void`
AccessController.`checkPermission(Permission perm)`
Deprecated, for removal: This API element is subject to removal in a future version.
Throws `AccessControlException`.